Package ru.bitel.bgbilling.modules.voice.common.event

# Class VoiceAccountTypeModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceAccountType>
ru.bitel.bgbilling.modules.voice.common.event.VoiceAccountTypeModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class VoiceAccountTypeModifiedEvent extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceAccountType>
Класс-событие изменения справочника тип аккаунта

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccountTypeModifiedEvent()`
  `VoiceAccountTypeModifiedEvent(int moduleId, int userId, VoiceAccountType oldItem, VoiceAccountType newItem)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceAccountType`
  `getNewVoiceAccountType()`
  `VoiceAccountType`
  `getOldVoiceAccountType()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceAccountTypeModifiedEvent

    public VoiceAccountTypeModifiedEvent()

  - ### VoiceAccountTypeModifiedEvent

    public VoiceAccountTypeModifiedEvent(int moduleId, int userId, VoiceAccountType oldItem, VoiceAccountType newItem)

- ## Method Details

  - ### getOldVoiceAccountType

    public VoiceAccountType getOldVoiceAccountType()

  - ### getNewVoiceAccountType

    public VoiceAccountType getNewVoiceAccountType()